@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('activity_project::acitivity_project.name') !!} <small> {!! trans('cms.manage') !!} {!! trans('activity_project::acitivity_project.names') !!}</small>
@stop

@section('title')
{!! trans('activity_project::acitivity_project.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="http://lavalite.org/admin"><i class="fa fa-dashboard"></i> {!! trans('cms.home') !!} </a></li>
    <li class="active">{!! trans('activity_project::acitivity_project.names') !!}</li>
</ol>
@stop

@section('entry')
<div class="box box-warning" id='entry-acitivity_project'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="main-list" class="table table-striped table-bordered">
    <thead>
        
    </thead>
</table>
@stop
@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    $('#entry-acitivity_project').load('{!!URL::to('admin/activity_project/acitivity_project/0')!!}');
    oTable = $('#main-list').dataTable( {
        "ajax": '{!! URL::to('/admin/activity_project/acitivity_project') !!}',
        "columns": [
            
        ],
        "acitivity_projectLength": 50
    });

    $('#main-list tbody').on( 'click', 'tr', function () {
        $(this).toggleClass("selected").siblings(".selected").removeClass("selected");

        var d = $('#main-list').DataTable().row( this ).data();

        $('#entry-acitivity_project').load('{!!URL::to('admin/activity_project/acitivity_project')!!}' + '/' + d.id);

    });
});
</script>
@stop

@section('style')
@stop