<?php

return [
/*
* Provider .
*/
'provider'  => 'database',

/*
* Package .
*/
'package'   => 'activity_project',

/*
* Modules .
*/
'modules'   => ['activity_project', 
'task', 
'acitivity_project'],

'activity_project' => [
                    'Name'          => 'ActivityProject',
                    'name'          => 'activity_project',
                    'table'         => 'activity_projects',
                    'model'         => 'Database\ActivityProject\Models\ActivityProject',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'title'],
                    'listfields'        => ['id', 'title'],
                    'translatable'      => ['title'],

                    'upload-folder'     => '/uploads/activity_project/activity_project',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'task' => [
                    'Name'          => 'Task',
                    'name'          => 'task',
                    'table'         => 'tasks',
                    'model'         => 'Database\ActivityProject\Models\Task',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'title'],
                    'listfields'        => ['id', 'title'],
                    'translatable'      => ['title'],

                    'upload-folder'     => '/uploads/activity_project/task',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
'acitivity_project' => [
                    'Name'          => 'AcitivityProject',
                    'name'          => 'acitivity_project',
                    'table'         => 'acitivity_projects',
                    'model'         => 'Database\ActivityProject\Models\AcitivityProject',
                    'image'         => [
                        'xs'        => ['width' => '60',         'height' => '45'],
                        'sm'        => ['width' => '100',        'height' => '75'],
                        'md'        => ['width' => '460',        'height' => '345'],
                        'lg'        => ['width' => '800',        'height' => '600'],
                        'xl'        => ['width' => '1000',       'height' => '750'],
                        ],

                    'fillable'          => ['user_id', 'title'],
                    'listfields'        => ['id', 'title'],
                    'translatable'      => ['title'],

                    'upload-folder'     => '/uploads/activity_project/acitivity_project',
                    'uploadable'        => [
                                                'single'    => [],
                                                'multiple'  => [],
                                            ],
                ],
];
