<?php

namespace Database\ActivityProject;

use DB;
use Illuminate\Database\Seeder;

class AcitivityProjectTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('acitivity_projects')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'activity_project.acitivity_project.view',
                'readable_name' => 'View AcitivityProject',
            ],
            [
                'name'          => 'activity_project.acitivity_project.create',
                'readable_name' => 'Create AcitivityProject',
            ],
            [
                'name'          => 'activity_project.acitivity_project.edit',
                'readable_name' => 'Update AcitivityProject',
            ],
            [
                'name'          => 'activity_project.acitivity_project.delete',
                'readable_name' => 'Delete AcitivityProject',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'activity_project.acitivity_project.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
