<?php

namespace Database\ActivityProject;

use DB;
use Illuminate\Database\Seeder;

class ActivityProjectTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_projects')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'activity_project.activity_project.view',
                'readable_name' => 'View ActivityProject',
            ],
            [
                'name'          => 'activity_project.activity_project.create',
                'readable_name' => 'Create ActivityProject',
            ],
            [
                'name'          => 'activity_project.activity_project.edit',
                'readable_name' => 'Update ActivityProject',
            ],
            [
                'name'          => 'activity_project.activity_project.delete',
                'readable_name' => 'Delete ActivityProject',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'activity_project.activity_project.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
