<?php

namespace Database\ActivityProject;

use DB;
use Illuminate\Database\Seeder;

class TaskTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('tasks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'name'          => 'activity_project.task.view',
                'readable_name' => 'View Task',
            ],
            [
                'name'          => 'activity_project.task.create',
                'readable_name' => 'Create Task',
            ],
            [
                'name'          => 'activity_project.task.edit',
                'readable_name' => 'Update Task',
            ],
            [
                'name'          => 'activity_project.task.delete',
                'readable_name' => 'Delete Task',
            ],
        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'activity_project.task.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
