This is a Laravel 5 package that provides activity_project management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `database/activity_project`.

    "database/activity_project": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Database\ActivityProject\Providers\ActivityProjectServiceProvider::class,

```

And also add it to alias

```php
'ActivityProject'  => Database\ActivityProject\Facades\ActivityProject::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Database\ActivityProject\Providers\ActivityProjectServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


