<?php

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/activity_project/activity_project', 'Database\ActivityProject\Http\Controllers\ActivityProjectAdminController');
});

// User routes for activity_project
Route::group(['prefix' => 'user'], function () {
    Route::resource('/activity_project/activity_project', 'Database\ActivityProject\Http\Controllers\ActivityProjectUserController');
});

// Public routes for activity_project
Route::get('activity_project/activity_project', 'Database\ActivityProject\Http\Controllers\ActivityProjectPublicController@index');
Route::get('activity_project/activity_project/{slug?}', 'Database\ActivityProject\Http\Controllers\ActivityProjectPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/activity_project/task', 'Database\ActivityProject\Http\Controllers\TaskAdminController');
});

// User routes for task
Route::group(['prefix' => 'user'], function () {
    Route::resource('/activity_project/task', 'Database\ActivityProject\Http\Controllers\TaskUserController');
});

// Public routes for task
Route::get('activity_project/task', 'Database\ActivityProject\Http\Controllers\TaskPublicController@index');
Route::get('activity_project/task/{slug?}', 'Database\ActivityProject\Http\Controllers\TaskPublicController@show');

Route::group(['prefix' => 'admin'], function () {
    Route::resource('/activity_project/acitivity_project', 'Database\ActivityProject\Http\Controllers\AcitivityProjectAdminController');
});

// User routes for acitivity_project
Route::group(['prefix' => 'user'], function () {
    Route::resource('/activity_project/acitivity_project', 'Database\ActivityProject\Http\Controllers\AcitivityProjectUserController');
});

// Public routes for acitivity_project
Route::get('activity_project/acitivity_project', 'Database\ActivityProject\Http\Controllers\AcitivityProjectPublicController@index');
Route::get('activity_project/acitivity_project/{slug?}', 'Database\ActivityProject\Http\Controllers\AcitivityProjectPublicController@show');
